/* stuff here is for voting form */

.centered-text {
    display: block;
    text-align: center;
    font-size: 20px;
    font-weight: bold;
    margin: 20px auto;
    width: 100%;
}
.table-containervote {
    width: 100%;
    max-width: 600px; /* Prevents it from being too wide */
    margin: 0 auto;
    padding: 15px;
    overflow-x: auto; /* Allows scrolling if content overflows */
    box-sizing: border-box; /* Ensures padding doesn't increase width */
}
.button-container {
    width: 100%;
    max-width: 600px; /* Prevents it from being too wide */
    margin: 0 auto;
    padding: 15px;
    overflow-x: auto; /* Allows scrolling if content overflows */
    box-sizing: border-box; /* Ensures padding doesn't increase width */
}
.voting-form {
    width: 100%;
    max-width: 500px; /* Prevents it from being too wide */
    margin: 0 auto; /* Centers the form */
    padding: 15px;
    background: #f9f9f9;
    border-radius: 8px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
    display: flex;
    flex-direction: column;
    align-items: center;
}

/* Ensure dropdowns fit properly */
.voting-form select {
    width: 90%;
    max-width: 300px;
    padding: 10px;
    font-size: 16px;
    border: 1px solid #ccc;
    border-radius: 4px;
}

/* Voting end  */

.inactive-player {
    background-color: #d3d3d3 !important; /* Light grey background */
    color: #666 !important; /* Darker grey text */
    opacity: 0.6; /* Slightly faded */
}


body {
    font-family: 'Fjalla One', sans-serif;
    margin: 0;
    padding: 0;
    background-color: #f4f4f4;
}

header {
    background-color: white;
    padding: 10px;
    text-align: left;
    border-bottom: 1px solid #ccc;
    display: flex;
    align-items: center;
}

header img {
    vertical-align: middle;
    height: 80px;
}

header .title {
    display: inline-block;
    vertical-align: middle;
    margin-left: 20px;
}

header .title h1 {
    margin: 0;
    color: #383C46;
    display: block;
    font-size: 1.875rem; /* 30px */
    text-transform: uppercase;
}

header .title p {
    margin: 0;
    color: #828995;
    display: block;
    font-size: 1.25rem; /* 20px */
    text-transform: uppercase;
}

    /* Basic styling for the navigation */
nav {
    background-color: #29166f;
    padding: 10px;
    text-align: left;
}

nav a {
    color: #CCCCCC;
    margin: 0 15px;
    text-decoration: none;
    font-size: 16px;
}

nav a:hover {
    text-decoration: underline;
}

/* Mobile Menu Styles */
.nav-menu {
    display: none;
}

.menu-icon {
    display: none;
    font-size: 30px;
    color: #CCCCCC;
    cursor: pointer;
}

/* Full screen navigation styles */
@media (min-width: 769px) {
    nav a {
        display: inline;
        font-size: 16px;
    }

    .menu-icon {
        display: none; /* Hide the menu icon on larger screens */
    }

    .nav-menu {
        display: block; /* Show full menu on large screens */
    }
}

/* Small screen navigation styles */
@media (max-width: 768px) {
    nav a {
        display: block;
        font-size: 18px;
        margin: 10px 0;
    }

    .menu-icon {
        display: block; /* Show the menu icon on smaller screens */
    }

    .nav-menu {
        display: none;
        flex-direction: column;
        background-color: #29166f;
        width: 100%;
        padding: 0;
    }

    .nav-menu a {
        margin: 10px;
        text-align: center;
    }
    
    .nav-menu.show {
        display: flex;
    }

   .table-containervote {
        width: 90%; /* Shrinks width slightly on mobile */
        padding: 10px; /* Reduces padding */
    }

   .button-container {
        width: 90%; /* Shrinks width slightly on mobile */
        padding: 10px; /* Reduces padding */
    }
    .voting-form {
        width: 90%;
        padding: 10px;
    }
    .voting-form select {
        width: 100%;
    }

}


.center {
    text-align: center;
    margin-top: 20px;
}

.center .subtitle {
    font-size: 18px;
    color: #888;
    margin-top: -10px;
}

table2 {
    width: 100%;
    margin: 20px 0;
    border-collapse: collapse;
    overflow-x: auto;
    display: block;
    max-width: 1200px; /* Added max-width for larger screens */
}

table {
    width: 90%;
    margin: 20px auto;
    border-collapse: collapse;
    overflow-x: auto;
    display: table;
    max-width: 1200px; /* Added max-width for larger screens */
}

table, th, td {
    border: 1px solid #ddd;
    padding: 8px;
    text-align: left;
}

table th {
    background-color: #f2f2f2;
	border-bottom: 1px solid yellow;
}

form {
    width: 100%;
    max-width: 600px;
    margin: 20px auto;
    background: white;
    padding: 20px;
    border: 1px solid #ccc;
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.1);
}

form label {
    display: block;
    margin: 10px 0 5px;
}

form input[type="text"],
form input[type="number"],
form select {
    width: calc(100% - 22px);
    padding: 10px;
    margin-bottom: 15px; /* Added margin-bottom for spacing */
    border: 1px solid #ccc;
    border-radius: 4px;
}

form button {
    display: block;
    width: 100%;
    padding: 10px;
    background: #29166f;
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

form button:hover {
    background: #4c42bd;
}

a {
    color: #29166f;
}

a:hover {
    text-decoration: underline;
}

/* Responsive Styles */
@media (max-width: 768px) {
    header {
        flex-direction: column;
        align-items: flex-start;
    }

    header img {
        height: 60px;
    }

    header .title {
        margin-left: 0;
    }

    header .title h1 {
        font-size: 1.5rem; /* 24px */
    }

    header .title p {
        font-size: 1rem; /* 16px */
    }

    nav a {
        display: block;
        margin: 5px 0;
    }

    .center {
        margin-top: 10px;
    }

    .center .subtitle {
        font-size: 16px;
    }

    form {
        padding: 15px;
    }

    form label {
        margin: 5px 0 3px;
    }

    form input[type="text"],
    form input[type="number"] {
        width: calc(100% - 20px);
    }

    table {
        display: block;
        overflow-x: auto;
    }

    table th,
    table td {
        white-space: nowrap;
        padding: 10px;
    }
}
/* Specific styles for the login form */
.login-form {
    max-width: 400px;
    margin: 20px auto;
    padding: 20px;
    background: white;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.1);
}

.login-form .form-group {
    margin-bottom: 15px;
}

.login-form label {
    display: block;
    margin-bottom: 5px;
}

.login-form input[type="text"],
.login-form input[type="password"] {
    width: calc(100% - 22px);
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
    font-size: 16px;
    box-sizing: border-box;
}

.login-form button.login-button {
    width: 100%;
    padding: 10px;
    background: #29166f; /* Primary color */
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 16px;
}

.login-form button.login-button:hover {
    background: #4c42bd; /* Darker shade on hover */
}

.login-form .error {
    color: red;
    margin-bottom: 15px;
}

